Skip Navigation
Expand
WSDL Version on Upgrade Site
Answer ID 9851   |   Last Review Date 07/30/2020

Do I need to update Connect Web Services for SOAP (CWSS) version when I update my Oracle B2C Service (OSvC) site?

Environment:

Connect Web Services for SOAP (CWSS), Oracle B2C Service (formerly known as Oracle Service Cloud) Update

Resolution:

There is no need to updatee Connect Web Services for SOAP (CWSS) version at the same time as Oracle B2C Service upgrade. In fact, Oracle does not recommend migrating to a different version of Connect during an update; the migration should be done separately from an update instead. CWSS is a backward-compatible managed framework so existing CWSS integrations will continue to work without modification.

If you choose establish a new CWSS integration on the Service Cloud upgrade site for testing purposes, WSDL rebinding will occur and the latest version of WSDL will be used by default unless you declare a specific version of CWSS WSDL instead. It is recommended to specify the same WSDL version you are using on the production instance by using this URL:

https:///services/soap/connect/soap?wsdl=typed_v (version_number)

If you do not declare a WSDL version, it is possible that the integration will utilize a different version of the CWSS WSDL and the integration will fail, citing errors that are specific to the intentional differences between the WSDL in use on the production version and the WDSL in use on the upgrade version.

Similarly, dynamic WSDL generation is not supported as a new WSDL (with new requirements) could be discovered upon upgrade and cause the integration to fail.

For more details, please refer to the “WSDL Retrieval” section of Connect Web Services for SOAP documentation:

Answer 5169: Technical Documentation and Sample Code